# Delete Monitor (/api-reference/endpoint/monitor-delete)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 196 · updated: 2026-07-30 -->
Related: [Search](/api-reference/endpoint/search.md), [Search Feedback](/api-reference/endpoint/search-feedback.md), [Scrape](/api-reference/endpoint/scrape.md), [Batch Scrape](/api-reference/endpoint/batch-scrape.md), [Get Batch Scrape Status](/api-reference/endpoint/batch-scrape-get.md), [Cancel Batch Scrape](/api-reference/endpoint/batch-scrape-delete.md)



`DELETE /monitor/{monitorId}`

Delete a monitor

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "monitorId",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid"
      },
      "description": "The monitor ID"
    }
  ],
  "responses": {
    "200": {
      "description": "Monitor deleted",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "success": {
                "type": "boolean",
                "example": true
              }
            }
          }
        }
      }
    },
    "404": {
      "description": "Monitor not found"
    }
  }
}
```
